Package org.springframework.security.crypto.encrypt

## Interface BytesEncryptor

All Known Implementing Classes:
  `AesBytesEncryptor`, `BouncyCastleAesCbcBytesEncryptor`, `BouncyCastleAesGcmBytesEncryptor`

    public interface BytesEncryptor

Service interface for symmetric data encryption.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `decrypt​(byte[] encryptedByteArray)` Decrypt the byte array.
`byte[]` `encrypt​(byte[] byteArray)` Encrypt the byte array.

### Method Detail

#### encrypt

    byte[] encrypt​(byte[] byteArray)

Encrypt the byte array.

#### decrypt

    byte[] decrypt​(byte[] encryptedByteArray)

Decrypt the byte array.